// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.12.3
// source: proto/sphynx.proto

package proto

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type CanComputeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Operation string `protobuf:"bytes,1,opt,name=operation,proto3" json:"operation,omitempty"`
	Domain    string `protobuf:"bytes,2,opt,name=domain,proto3" json:"domain,omitempty"`
}

func (x *CanComputeRequest) Reset() {
	*x = CanComputeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CanComputeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CanComputeRequest) ProtoMessage() {}

func (x *CanComputeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CanComputeRequest.ProtoReflect.Descriptor instead.
func (*CanComputeRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{0}
}

func (x *CanComputeRequest) GetOperation() string {
	if x != nil {
		return x.Operation
	}
	return ""
}

func (x *CanComputeRequest) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

type CanComputeReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CanCompute bool `protobuf:"varint,1,opt,name=canCompute,proto3" json:"canCompute,omitempty"`
}

func (x *CanComputeReply) Reset() {
	*x = CanComputeReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CanComputeReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CanComputeReply) ProtoMessage() {}

func (x *CanComputeReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CanComputeReply.ProtoReflect.Descriptor instead.
func (*CanComputeReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{1}
}

func (x *CanComputeReply) GetCanCompute() bool {
	if x != nil {
		return x.CanCompute
	}
	return false
}

type ComputeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Operation string `protobuf:"bytes,1,opt,name=operation,proto3" json:"operation,omitempty"`
	Domain    string `protobuf:"bytes,2,opt,name=domain,proto3" json:"domain,omitempty"`
}

func (x *ComputeRequest) Reset() {
	*x = ComputeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ComputeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ComputeRequest) ProtoMessage() {}

func (x *ComputeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ComputeRequest.ProtoReflect.Descriptor instead.
func (*ComputeRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{2}
}

func (x *ComputeRequest) GetOperation() string {
	if x != nil {
		return x.Operation
	}
	return ""
}

func (x *ComputeRequest) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

type ComputeReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ComputeReply) Reset() {
	*x = ComputeReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ComputeReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ComputeReply) ProtoMessage() {}

func (x *ComputeReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ComputeReply.ProtoReflect.Descriptor instead.
func (*ComputeReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{3}
}

type GetScalarRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Guid string `protobuf:"bytes,1,opt,name=guid,proto3" json:"guid,omitempty"`
}

func (x *GetScalarRequest) Reset() {
	*x = GetScalarRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetScalarRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetScalarRequest) ProtoMessage() {}

func (x *GetScalarRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetScalarRequest.ProtoReflect.Descriptor instead.
func (*GetScalarRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{4}
}

func (x *GetScalarRequest) GetGuid() string {
	if x != nil {
		return x.Guid
	}
	return ""
}

type GetScalarReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Scalar string `protobuf:"bytes,1,opt,name=scalar,proto3" json:"scalar,omitempty"`
}

func (x *GetScalarReply) Reset() {
	*x = GetScalarReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetScalarReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetScalarReply) ProtoMessage() {}

func (x *GetScalarReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetScalarReply.ProtoReflect.Descriptor instead.
func (*GetScalarReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{5}
}

func (x *GetScalarReply) GetScalar() string {
	if x != nil {
		return x.Scalar
	}
	return ""
}

type WriteToUnorderedDiskRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Guid    string `protobuf:"bytes,1,opt,name=guid,proto3" json:"guid,omitempty"`
	Vsguid1 string `protobuf:"bytes,2,opt,name=vsguid1,proto3" json:"vsguid1,omitempty"`
	Vsguid2 string `protobuf:"bytes,3,opt,name=vsguid2,proto3" json:"vsguid2,omitempty"`
}

func (x *WriteToUnorderedDiskRequest) Reset() {
	*x = WriteToUnorderedDiskRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WriteToUnorderedDiskRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WriteToUnorderedDiskRequest) ProtoMessage() {}

func (x *WriteToUnorderedDiskRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WriteToUnorderedDiskRequest.ProtoReflect.Descriptor instead.
func (*WriteToUnorderedDiskRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{6}
}

func (x *WriteToUnorderedDiskRequest) GetGuid() string {
	if x != nil {
		return x.Guid
	}
	return ""
}

func (x *WriteToUnorderedDiskRequest) GetVsguid1() string {
	if x != nil {
		return x.Vsguid1
	}
	return ""
}

func (x *WriteToUnorderedDiskRequest) GetVsguid2() string {
	if x != nil {
		return x.Vsguid2
	}
	return ""
}

type WriteToOrderedDiskRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Guid string `protobuf:"bytes,1,opt,name=guid,proto3" json:"guid,omitempty"`
}

func (x *WriteToOrderedDiskRequest) Reset() {
	*x = WriteToOrderedDiskRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WriteToOrderedDiskRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WriteToOrderedDiskRequest) ProtoMessage() {}

func (x *WriteToOrderedDiskRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WriteToOrderedDiskRequest.ProtoReflect.Descriptor instead.
func (*WriteToOrderedDiskRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{7}
}

func (x *WriteToOrderedDiskRequest) GetGuid() string {
	if x != nil {
		return x.Guid
	}
	return ""
}

type WriteToOrderedDiskReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *WriteToOrderedDiskReply) Reset() {
	*x = WriteToOrderedDiskReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WriteToOrderedDiskReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WriteToOrderedDiskReply) ProtoMessage() {}

func (x *WriteToOrderedDiskReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WriteToOrderedDiskReply.ProtoReflect.Descriptor instead.
func (*WriteToOrderedDiskReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{8}
}

type ReadFromUnorderedDiskRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Guid          string `protobuf:"bytes,1,opt,name=guid,proto3" json:"guid,omitempty"`
	Type          string `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	Vsguid1       string `protobuf:"bytes,3,opt,name=vsguid1,proto3" json:"vsguid1,omitempty"`
	Vsguid2       string `protobuf:"bytes,4,opt,name=vsguid2,proto3" json:"vsguid2,omitempty"`
	AttributeType string `protobuf:"bytes,5,opt,name=attributeType,proto3" json:"attributeType,omitempty"`
}

func (x *ReadFromUnorderedDiskRequest) Reset() {
	*x = ReadFromUnorderedDiskRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReadFromUnorderedDiskRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReadFromUnorderedDiskRequest) ProtoMessage() {}

func (x *ReadFromUnorderedDiskRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReadFromUnorderedDiskRequest.ProtoReflect.Descriptor instead.
func (*ReadFromUnorderedDiskRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{9}
}

func (x *ReadFromUnorderedDiskRequest) GetGuid() string {
	if x != nil {
		return x.Guid
	}
	return ""
}

func (x *ReadFromUnorderedDiskRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *ReadFromUnorderedDiskRequest) GetVsguid1() string {
	if x != nil {
		return x.Vsguid1
	}
	return ""
}

func (x *ReadFromUnorderedDiskRequest) GetVsguid2() string {
	if x != nil {
		return x.Vsguid2
	}
	return ""
}

func (x *ReadFromUnorderedDiskRequest) GetAttributeType() string {
	if x != nil {
		return x.AttributeType
	}
	return ""
}

type ReadFromUnorderedDiskReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ReadFromUnorderedDiskReply) Reset() {
	*x = ReadFromUnorderedDiskReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReadFromUnorderedDiskReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReadFromUnorderedDiskReply) ProtoMessage() {}

func (x *ReadFromUnorderedDiskReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReadFromUnorderedDiskReply.ProtoReflect.Descriptor instead.
func (*ReadFromUnorderedDiskReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{10}
}

type WriteToUnorderedDiskReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *WriteToUnorderedDiskReply) Reset() {
	*x = WriteToUnorderedDiskReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WriteToUnorderedDiskReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WriteToUnorderedDiskReply) ProtoMessage() {}

func (x *WriteToUnorderedDiskReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WriteToUnorderedDiskReply.ProtoReflect.Descriptor instead.
func (*WriteToUnorderedDiskReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{11}
}

type HasInSphynxMemoryRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Guid string `protobuf:"bytes,1,opt,name=guid,proto3" json:"guid,omitempty"`
}

func (x *HasInSphynxMemoryRequest) Reset() {
	*x = HasInSphynxMemoryRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HasInSphynxMemoryRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HasInSphynxMemoryRequest) ProtoMessage() {}

func (x *HasInSphynxMemoryRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HasInSphynxMemoryRequest.ProtoReflect.Descriptor instead.
func (*HasInSphynxMemoryRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{12}
}

func (x *HasInSphynxMemoryRequest) GetGuid() string {
	if x != nil {
		return x.Guid
	}
	return ""
}

type HasInSphynxMemoryReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HasInMemory bool `protobuf:"varint,1,opt,name=hasInMemory,proto3" json:"hasInMemory,omitempty"`
}

func (x *HasInSphynxMemoryReply) Reset() {
	*x = HasInSphynxMemoryReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HasInSphynxMemoryReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HasInSphynxMemoryReply) ProtoMessage() {}

func (x *HasInSphynxMemoryReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HasInSphynxMemoryReply.ProtoReflect.Descriptor instead.
func (*HasInSphynxMemoryReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{13}
}

func (x *HasInSphynxMemoryReply) GetHasInMemory() bool {
	if x != nil {
		return x.HasInMemory
	}
	return false
}

type HasOnOrderedSphynxDiskRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Guid string `protobuf:"bytes,1,opt,name=guid,proto3" json:"guid,omitempty"`
}

func (x *HasOnOrderedSphynxDiskRequest) Reset() {
	*x = HasOnOrderedSphynxDiskRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HasOnOrderedSphynxDiskRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HasOnOrderedSphynxDiskRequest) ProtoMessage() {}

func (x *HasOnOrderedSphynxDiskRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HasOnOrderedSphynxDiskRequest.ProtoReflect.Descriptor instead.
func (*HasOnOrderedSphynxDiskRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{14}
}

func (x *HasOnOrderedSphynxDiskRequest) GetGuid() string {
	if x != nil {
		return x.Guid
	}
	return ""
}

type HasOnOrderedSphynxDiskReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HasOnDisk bool `protobuf:"varint,1,opt,name=hasOnDisk,proto3" json:"hasOnDisk,omitempty"`
}

func (x *HasOnOrderedSphynxDiskReply) Reset() {
	*x = HasOnOrderedSphynxDiskReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HasOnOrderedSphynxDiskReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HasOnOrderedSphynxDiskReply) ProtoMessage() {}

func (x *HasOnOrderedSphynxDiskReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HasOnOrderedSphynxDiskReply.ProtoReflect.Descriptor instead.
func (*HasOnOrderedSphynxDiskReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{15}
}

func (x *HasOnOrderedSphynxDiskReply) GetHasOnDisk() bool {
	if x != nil {
		return x.HasOnDisk
	}
	return false
}

type ReadFromOrderedSphynxDiskRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Guid string `protobuf:"bytes,1,opt,name=guid,proto3" json:"guid,omitempty"`
}

func (x *ReadFromOrderedSphynxDiskRequest) Reset() {
	*x = ReadFromOrderedSphynxDiskRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReadFromOrderedSphynxDiskRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReadFromOrderedSphynxDiskRequest) ProtoMessage() {}

func (x *ReadFromOrderedSphynxDiskRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReadFromOrderedSphynxDiskRequest.ProtoReflect.Descriptor instead.
func (*ReadFromOrderedSphynxDiskRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{16}
}

func (x *ReadFromOrderedSphynxDiskRequest) GetGuid() string {
	if x != nil {
		return x.Guid
	}
	return ""
}

type ReadFromOrderedSphynxDiskReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ReadFromOrderedSphynxDiskReply) Reset() {
	*x = ReadFromOrderedSphynxDiskReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReadFromOrderedSphynxDiskReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReadFromOrderedSphynxDiskReply) ProtoMessage() {}

func (x *ReadFromOrderedSphynxDiskReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReadFromOrderedSphynxDiskReply.ProtoReflect.Descriptor instead.
func (*ReadFromOrderedSphynxDiskReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{17}
}

type ClearRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Domain string `protobuf:"bytes,1,opt,name=domain,proto3" json:"domain,omitempty"`
}

func (x *ClearRequest) Reset() {
	*x = ClearRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClearRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClearRequest) ProtoMessage() {}

func (x *ClearRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClearRequest.ProtoReflect.Descriptor instead.
func (*ClearRequest) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{18}
}

func (x *ClearRequest) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

type ClearReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ClearReply) Reset() {
	*x = ClearReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_proto_sphynx_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClearReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClearReply) ProtoMessage() {}

func (x *ClearReply) ProtoReflect() protoreflect.Message {
	mi := &file_proto_sphynx_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClearReply.ProtoReflect.Descriptor instead.
func (*ClearReply) Descriptor() ([]byte, []int) {
	return file_proto_sphynx_proto_rawDescGZIP(), []int{19}
}

var File_proto_sphynx_proto protoreflect.FileDescriptor

var file_proto_sphynx_proto_rawDesc = []byte{
	0x0a, 0x12, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x22, 0x49, 0x0a, 0x11,
	0x43, 0x61, 0x6e, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x1c, 0x0a, 0x09, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x16, 0x0a, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x22, 0x31, 0x0a, 0x0f, 0x43, 0x61, 0x6e, 0x43, 0x6f,
	0x6d, 0x70, 0x75, 0x74, 0x65, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x1e, 0x0a, 0x0a, 0x63, 0x61,
	0x6e, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a,
	0x63, 0x61, 0x6e, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x22, 0x46, 0x0a, 0x0e, 0x43, 0x6f,
	0x6d, 0x70, 0x75, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1c, 0x0a, 0x09,
	0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x6f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x16, 0x0a, 0x06, 0x64, 0x6f,
	0x6d, 0x61, 0x69, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x64, 0x6f, 0x6d, 0x61,
	0x69, 0x6e, 0x22, 0x0e, 0x0a, 0x0c, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x52, 0x65, 0x70,
	0x6c, 0x79, 0x22, 0x26, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x53, 0x63, 0x61, 0x6c, 0x61, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x67, 0x75, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x67, 0x75, 0x69, 0x64, 0x22, 0x28, 0x0a, 0x0e, 0x47, 0x65,
	0x74, 0x53, 0x63, 0x61, 0x6c, 0x61, 0x72, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x16, 0x0a, 0x06,
	0x73, 0x63, 0x61, 0x6c, 0x61, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x63,
	0x61, 0x6c, 0x61, 0x72, 0x22, 0x65, 0x0a, 0x1b, 0x57, 0x72, 0x69, 0x74, 0x65, 0x54, 0x6f, 0x55,
	0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x67, 0x75, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x67, 0x75, 0x69, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x73, 0x67, 0x75, 0x69,
	0x64, 0x31, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x73, 0x67, 0x75, 0x69, 0x64,
	0x31, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x73, 0x67, 0x75, 0x69, 0x64, 0x32, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x07, 0x76, 0x73, 0x67, 0x75, 0x69, 0x64, 0x32, 0x22, 0x2f, 0x0a, 0x19, 0x57,
	0x72, 0x69, 0x74, 0x65, 0x54, 0x6f, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73,
	0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x67, 0x75, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x67, 0x75, 0x69, 0x64, 0x22, 0x19, 0x0a, 0x17,
	0x57, 0x72, 0x69, 0x74, 0x65, 0x54, 0x6f, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69,
	0x73, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0xa0, 0x01, 0x0a, 0x1c, 0x52, 0x65, 0x61, 0x64,
	0x46, 0x72, 0x6f, 0x6d, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73,
	0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x67, 0x75, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x67, 0x75, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x12, 0x18, 0x0a, 0x07, 0x76, 0x73, 0x67, 0x75, 0x69, 0x64, 0x31, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x76, 0x73, 0x67, 0x75, 0x69, 0x64, 0x31, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x73,
	0x67, 0x75, 0x69, 0x64, 0x32, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x73, 0x67,
	0x75, 0x69, 0x64, 0x32, 0x12, 0x24, 0x0a, 0x0d, 0x61, 0x74, 0x74, 0x72, 0x69, 0x62, 0x75, 0x74,
	0x65, 0x54, 0x79, 0x70, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x61, 0x74, 0x74,
	0x72, 0x69, 0x62, 0x75, 0x74, 0x65, 0x54, 0x79, 0x70, 0x65, 0x22, 0x1c, 0x0a, 0x1a, 0x52, 0x65,
	0x61, 0x64, 0x46, 0x72, 0x6f, 0x6d, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44,
	0x69, 0x73, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x1b, 0x0a, 0x19, 0x57, 0x72, 0x69, 0x74,
	0x65, 0x54, 0x6f, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73, 0x6b,
	0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x2e, 0x0a, 0x18, 0x48, 0x61, 0x73, 0x49, 0x6e, 0x53, 0x70,
	0x68, 0x79, 0x6e, 0x78, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x12, 0x0a, 0x04, 0x67, 0x75, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x67, 0x75, 0x69, 0x64, 0x22, 0x3a, 0x0a, 0x16, 0x48, 0x61, 0x73, 0x49, 0x6e, 0x53, 0x70,
	0x68, 0x79, 0x6e, 0x78, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12,
	0x20, 0x0a, 0x0b, 0x68, 0x61, 0x73, 0x49, 0x6e, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x68, 0x61, 0x73, 0x49, 0x6e, 0x4d, 0x65, 0x6d, 0x6f, 0x72,
	0x79, 0x22, 0x33, 0x0a, 0x1d, 0x48, 0x61, 0x73, 0x4f, 0x6e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65,
	0x64, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x67, 0x75, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x67, 0x75, 0x69, 0x64, 0x22, 0x3b, 0x0a, 0x1b, 0x48, 0x61, 0x73, 0x4f, 0x6e, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x44, 0x69, 0x73, 0x6b,
	0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x1c, 0x0a, 0x09, 0x68, 0x61, 0x73, 0x4f, 0x6e, 0x44, 0x69,
	0x73, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x68, 0x61, 0x73, 0x4f, 0x6e, 0x44,
	0x69, 0x73, 0x6b, 0x22, 0x36, 0x0a, 0x20, 0x52, 0x65, 0x61, 0x64, 0x46, 0x72, 0x6f, 0x6d, 0x4f,
	0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x44, 0x69, 0x73, 0x6b,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x67, 0x75, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x67, 0x75, 0x69, 0x64, 0x22, 0x20, 0x0a, 0x1e, 0x52,
	0x65, 0x61, 0x64, 0x46, 0x72, 0x6f, 0x6d, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x53, 0x70,
	0x68, 0x79, 0x6e, 0x78, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x26, 0x0a,
	0x0c, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a,
	0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x64,
	0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x22, 0x0c, 0x0a, 0x0a, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x52, 0x65,
	0x70, 0x6c, 0x79, 0x32, 0xbe, 0x06, 0x0a, 0x06, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x12, 0x40,
	0x0a, 0x0a, 0x43, 0x61, 0x6e, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x12, 0x19, 0x2e, 0x73,
	0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x43, 0x61, 0x6e, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78,
	0x2e, 0x43, 0x61, 0x6e, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x52, 0x65, 0x70, 0x6c, 0x79,
	0x12, 0x37, 0x0a, 0x07, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x12, 0x16, 0x2e, 0x73, 0x70,
	0x68, 0x79, 0x6e, 0x78, 0x2e, 0x43, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x14, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x43, 0x6f, 0x6d,
	0x70, 0x75, 0x74, 0x65, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x3d, 0x0a, 0x09, 0x47, 0x65, 0x74,
	0x53, 0x63, 0x61, 0x6c, 0x61, 0x72, 0x12, 0x18, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e,
	0x47, 0x65, 0x74, 0x53, 0x63, 0x61, 0x6c, 0x61, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x16, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x47, 0x65, 0x74, 0x53, 0x63, 0x61,
	0x6c, 0x61, 0x72, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x5e, 0x0a, 0x14, 0x57, 0x72, 0x69, 0x74,
	0x65, 0x54, 0x6f, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73, 0x6b,
	0x12, 0x23, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x57, 0x72, 0x69, 0x74, 0x65, 0x54,
	0x6f, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x57,
	0x72, 0x69, 0x74, 0x65, 0x54, 0x6f, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44,
	0x69, 0x73, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x61, 0x0a, 0x15, 0x52, 0x65, 0x61, 0x64,
	0x46, 0x72, 0x6f, 0x6d, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73,
	0x6b, 0x12, 0x24, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x46,
	0x72, 0x6f, 0x6d, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73, 0x6b,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x22, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78,
	0x2e, 0x52, 0x65, 0x61, 0x64, 0x46, 0x72, 0x6f, 0x6d, 0x55, 0x6e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x65, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x58, 0x0a, 0x12, 0x57,
	0x72, 0x69, 0x74, 0x65, 0x54, 0x6f, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73,
	0x6b, 0x12, 0x21, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x57, 0x72, 0x69, 0x74, 0x65,
	0x54, 0x6f, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x57, 0x72,
	0x69, 0x74, 0x65, 0x54, 0x6f, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x44, 0x69, 0x73, 0x6b,
	0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x6d, 0x0a, 0x19, 0x52, 0x65, 0x61, 0x64, 0x46, 0x72, 0x6f,
	0x6d, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x44, 0x69,
	0x73, 0x6b, 0x12, 0x28, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x52, 0x65, 0x61, 0x64,
	0x46, 0x72, 0x6f, 0x6d, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e,
	0x78, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x26, 0x2e, 0x73,
	0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x52, 0x65, 0x61, 0x64, 0x46, 0x72, 0x6f, 0x6d, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x44, 0x69, 0x73, 0x6b, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x12, 0x64, 0x0a, 0x16, 0x48, 0x61, 0x73, 0x4f, 0x6e, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x44, 0x69, 0x73, 0x6b, 0x12, 0x25,
	0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x48, 0x61, 0x73, 0x4f, 0x6e, 0x4f, 0x72, 0x64,
	0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x23, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x48,
	0x61, 0x73, 0x4f, 0x6e, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x65, 0x64, 0x53, 0x70, 0x68, 0x79, 0x6e,
	0x78, 0x44, 0x69, 0x73, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x55, 0x0a, 0x11, 0x48, 0x61,
	0x73, 0x49, 0x6e, 0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x12,
	0x20, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x48, 0x61, 0x73, 0x49, 0x6e, 0x53, 0x70,
	0x68, 0x79, 0x6e, 0x78, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x1e, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x48, 0x61, 0x73, 0x49, 0x6e,
	0x53, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x4d, 0x65, 0x6d, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x70, 0x6c,
	0x79, 0x12, 0x31, 0x0a, 0x05, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x12, 0x14, 0x2e, 0x73, 0x70, 0x68,
	0x79, 0x6e, 0x78, 0x2e, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x12, 0x2e, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2e, 0x43, 0x6c, 0x65, 0x61, 0x72, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x42, 0x57, 0x0a, 0x2a, 0x63, 0x6f, 0x6d, 0x2e, 0x6c, 0x79, 0x6e, 0x78,
	0x61, 0x6e, 0x61, 0x6c, 0x79, 0x74, 0x69, 0x63, 0x73, 0x2e, 0x62, 0x69, 0x67, 0x67, 0x72, 0x61,
	0x70, 0x68, 0x2e, 0x67, 0x72, 0x61, 0x70, 0x68, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x5a, 0x29, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6c,
	0x79, 0x6e, 0x78, 0x6b, 0x69, 0x74, 0x65, 0x2f, 0x6c, 0x79, 0x6e, 0x78, 0x6b, 0x69, 0x74, 0x65,
	0x2f, 0x73, 0x70, 0x68, 0x79, 0x6e, 0x78, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_sphynx_proto_rawDescOnce sync.Once
	file_proto_sphynx_proto_rawDescData = file_proto_sphynx_proto_rawDesc
)

func file_proto_sphynx_proto_rawDescGZIP() []byte {
	file_proto_sphynx_proto_rawDescOnce.Do(func() {
		file_proto_sphynx_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_sphynx_proto_rawDescData)
	})
	return file_proto_sphynx_proto_rawDescData
}

var file_proto_sphynx_proto_msgTypes = make([]protoimpl.MessageInfo, 20)
var file_proto_sphynx_proto_goTypes = []interface{}{
	(*CanComputeRequest)(nil),                // 0: sphynx.CanComputeRequest
	(*CanComputeReply)(nil),                  // 1: sphynx.CanComputeReply
	(*ComputeRequest)(nil),                   // 2: sphynx.ComputeRequest
	(*ComputeReply)(nil),                     // 3: sphynx.ComputeReply
	(*GetScalarRequest)(nil),                 // 4: sphynx.GetScalarRequest
	(*GetScalarReply)(nil),                   // 5: sphynx.GetScalarReply
	(*WriteToUnorderedDiskRequest)(nil),      // 6: sphynx.WriteToUnorderedDiskRequest
	(*WriteToOrderedDiskRequest)(nil),        // 7: sphynx.WriteToOrderedDiskRequest
	(*WriteToOrderedDiskReply)(nil),          // 8: sphynx.WriteToOrderedDiskReply
	(*ReadFromUnorderedDiskRequest)(nil),     // 9: sphynx.ReadFromUnorderedDiskRequest
	(*ReadFromUnorderedDiskReply)(nil),       // 10: sphynx.ReadFromUnorderedDiskReply
	(*WriteToUnorderedDiskReply)(nil),        // 11: sphynx.WriteToUnorderedDiskReply
	(*HasInSphynxMemoryRequest)(nil),         // 12: sphynx.HasInSphynxMemoryRequest
	(*HasInSphynxMemoryReply)(nil),           // 13: sphynx.HasInSphynxMemoryReply
	(*HasOnOrderedSphynxDiskRequest)(nil),    // 14: sphynx.HasOnOrderedSphynxDiskRequest
	(*HasOnOrderedSphynxDiskReply)(nil),      // 15: sphynx.HasOnOrderedSphynxDiskReply
	(*ReadFromOrderedSphynxDiskRequest)(nil), // 16: sphynx.ReadFromOrderedSphynxDiskRequest
	(*ReadFromOrderedSphynxDiskReply)(nil),   // 17: sphynx.ReadFromOrderedSphynxDiskReply
	(*ClearRequest)(nil),                     // 18: sphynx.ClearRequest
	(*ClearReply)(nil),                       // 19: sphynx.ClearReply
}
var file_proto_sphynx_proto_depIdxs = []int32{
	0,  // 0: sphynx.Sphynx.CanCompute:input_type -> sphynx.CanComputeRequest
	2,  // 1: sphynx.Sphynx.Compute:input_type -> sphynx.ComputeRequest
	4,  // 2: sphynx.Sphynx.GetScalar:input_type -> sphynx.GetScalarRequest
	6,  // 3: sphynx.Sphynx.WriteToUnorderedDisk:input_type -> sphynx.WriteToUnorderedDiskRequest
	9,  // 4: sphynx.Sphynx.ReadFromUnorderedDisk:input_type -> sphynx.ReadFromUnorderedDiskRequest
	7,  // 5: sphynx.Sphynx.WriteToOrderedDisk:input_type -> sphynx.WriteToOrderedDiskRequest
	16, // 6: sphynx.Sphynx.ReadFromOrderedSphynxDisk:input_type -> sphynx.ReadFromOrderedSphynxDiskRequest
	14, // 7: sphynx.Sphynx.HasOnOrderedSphynxDisk:input_type -> sphynx.HasOnOrderedSphynxDiskRequest
	12, // 8: sphynx.Sphynx.HasInSphynxMemory:input_type -> sphynx.HasInSphynxMemoryRequest
	18, // 9: sphynx.Sphynx.Clear:input_type -> sphynx.ClearRequest
	1,  // 10: sphynx.Sphynx.CanCompute:output_type -> sphynx.CanComputeReply
	3,  // 11: sphynx.Sphynx.Compute:output_type -> sphynx.ComputeReply
	5,  // 12: sphynx.Sphynx.GetScalar:output_type -> sphynx.GetScalarReply
	11, // 13: sphynx.Sphynx.WriteToUnorderedDisk:output_type -> sphynx.WriteToUnorderedDiskReply
	10, // 14: sphynx.Sphynx.ReadFromUnorderedDisk:output_type -> sphynx.ReadFromUnorderedDiskReply
	8,  // 15: sphynx.Sphynx.WriteToOrderedDisk:output_type -> sphynx.WriteToOrderedDiskReply
	17, // 16: sphynx.Sphynx.ReadFromOrderedSphynxDisk:output_type -> sphynx.ReadFromOrderedSphynxDiskReply
	15, // 17: sphynx.Sphynx.HasOnOrderedSphynxDisk:output_type -> sphynx.HasOnOrderedSphynxDiskReply
	13, // 18: sphynx.Sphynx.HasInSphynxMemory:output_type -> sphynx.HasInSphynxMemoryReply
	19, // 19: sphynx.Sphynx.Clear:output_type -> sphynx.ClearReply
	10, // [10:20] is the sub-list for method output_type
	0,  // [0:10] is the sub-list for method input_type
	0,  // [0:0] is the sub-list for extension type_name
	0,  // [0:0] is the sub-list for extension extendee
	0,  // [0:0] is the sub-list for field type_name
}

func init() { file_proto_sphynx_proto_init() }
func file_proto_sphynx_proto_init() {
	if File_proto_sphynx_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_proto_sphynx_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CanComputeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CanComputeReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ComputeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ComputeReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetScalarRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetScalarReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WriteToUnorderedDiskRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WriteToOrderedDiskRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WriteToOrderedDiskReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReadFromUnorderedDiskRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReadFromUnorderedDiskReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WriteToUnorderedDiskReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HasInSphynxMemoryRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HasInSphynxMemoryReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HasOnOrderedSphynxDiskRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HasOnOrderedSphynxDiskReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReadFromOrderedSphynxDiskRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReadFromOrderedSphynxDiskReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClearRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_proto_sphynx_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClearReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_sphynx_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   20,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_proto_sphynx_proto_goTypes,
		DependencyIndexes: file_proto_sphynx_proto_depIdxs,
		MessageInfos:      file_proto_sphynx_proto_msgTypes,
	}.Build()
	File_proto_sphynx_proto = out.File
	file_proto_sphynx_proto_rawDesc = nil
	file_proto_sphynx_proto_goTypes = nil
	file_proto_sphynx_proto_depIdxs = nil
}
